online evals
Create online evals remediation
Requires scopes: eval:write
POST
/
api
/
online-evals
/
alerts
/
{id}
/
remediation
Create online evals remediation
curl --request POST \
--url https://evalgate.com/api/online-evals/alerts/{id}/remediation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rationale": "<string>",
"idempotencyKey": "<string>",
"verificationTraceId": 123,
"experimentId": "<string>",
"promptVersionId": 123
}
'import requests
url = "https://evalgate.com/api/online-evals/alerts/{id}/remediation"
payload = {
"rationale": "<string>",
"idempotencyKey": "<string>",
"verificationTraceId": 123,
"experimentId": "<string>",
"promptVersionId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rationale: '<string>',
idempotencyKey: '<string>',
verificationTraceId: 123,
experimentId: '<string>',
promptVersionId: 123
})
};
fetch('https://evalgate.com/api/online-evals/alerts/{id}/remediation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"rationale": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"experimentId": "<string>",
"idempotencyKey": "<string>",
"promptVersionId": 123,
"evidenceJson": {},
"monitorId": 123,
"monitorVersionId": "<string>",
"alertId": 123,
"verificationTraceId": 123,
"missingEvidence": [
"<string>"
],
"verificationExecutionId": "<string>",
"verifiedBy": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create online evals remediation
